@import url(./reset.css);



.container {
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;
    padding: 40px;
}



.max_range{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 50px;
}

.deg_label {
    display: block;
    position: relative;
    /* background-color: green; */
    font-size: 30px;
    font-weight: 700;
    color: #faf;
    text-align: center;
   
    left:0;
    width: 80px;
    height: 80px;
    padding: 10px;
    margin-left: -30px;
    border-radius: 50%;
    border: 1px solid #faf;
}

.deg_label::after {
    display: block;
    content: "deg";
    font-size: 20px;
    
}

.color_pickers{
    display: flex;
    justify-content: space-between;
}


.picker_item{
    display: flex;
    flex-direction: column;
    justify-content: start;
}

.input_colors{
    display: flex;
    flex-direction: column;
}

input {
    display: block;
    margin-bottom: 50px;   
    background-color: transparent;
    
    
}

input:focus {
    outline: none;
}

label {
    display: block;
    margin-bottom: 15px;
}

#col1 , #col2 {
    max-width: 50px;
    width: 100%;
    height: 50px;
    border: none;
    -webkit-appearance: none;
    
    
}

#col1::-webkit-color-swatch, #col2::-webkit-color-swatch {
    border-radius: 10px;
    border: 1px solid rgba(41, 40, 40, 0.664);
    cursor: pointer;
    
    
}

.btn_changers{
    margin-top: 50px;
    display: flex;
    flex-direction: column;
}

.btn{
    display: inline-block;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 1.3em;
    color: #010101;
    padding: 15px 20px;
    background-color: #faf;
    background: linear-gradient(138deg, #f358fe, #62c8f3 );
    border: 1px solid black;
    margin-bottom: 20px;
}





#deg {
    margin-top: 29px;
    width: 200px;
    -webkit-appearance: none;
}
#deg:focus {
        outline: none;
    }
#deg::-webkit-slider-runnable-track {
        width: 100%;
        height: 2px;
        cursor: pointer;
        box-shadow: none;
        background: #faf;
        border-radius: 0px;
        border: 0px solid #010101;
    }
#deg::-webkit-slider-thumb {
    box-shadow: none;
    border: 1px solid #faf;
    box-shadow: 0px 10px 10px rgba(0,0,0,0.25);
    height: 42px;
    width: 22px;
    border-radius: 22px;
    background: rgb(235, 247, 235);
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -20px;
}





.output {

    width: 100%;
    height: 40%;
    background-color: rgba(0, 102, 255, 0.747);
    color: rgba(0, 0, 0, 0.856);
    padding: 40px;
    /* margin-bottom: 0; */
    padding-bottom: 40px;
    text-align: center;
    /* user-select: none; */
}

.output::selection{
    color: yellow;
    background-color: #faf;
    
}


/* #deg::-moz-range-track {
        width: 100%;
        height: 1px;
        cursor: pointer;
        box-shadow: none;
        background: #ffffff;
        border-radius: 0px;
        border: 0px solid #010101;
    } */
  

/* #deg::-moz-range-thumb{
        box-shadow: none;
        border: 0px solid #ffffff;
        box-shadow: 0px 10px 10px rgba(0,0,0,0.25);
        height: 42px;
        width: 22px;
        border-radius: 22px;
        background: rgba(255,255,255,1);
        cursor: pointer;
        -webkit-appearance: none;
        margin-top: -20px;
  } */
/* #deg::-moz-focus-outer {
    border: 0;
    } */


    /* test */